# $Revision: 1.16 $, $Date: 2004/11/17 22:21:45 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
Summary:	A file construction tool
Summary(pl):	Narzdzie do konstrukcji plikw
Name:		cook
Version:	2.25
Release:	3
License:	GPL
Group:		Development/Building
Source0:	http://www.canb.auug.org.au/~millerp/cook/%{name}-%{version}.tar.gz
# Source0-md5:	fd116da31c59c04abe41519fc131b504
URL:		http://www.canb.auug.org.au/~millerp/cook/
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	groff
BuildRequires:	sharutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cook is a tool for constructing files. It is given a set of files to
create, and recipes of how to create them. In any non-trivial program
there will be prerequisites to performing the actions necessary to
creating any file, such as include files. The cook program provides a
mechanism to define these.

When a program is being developed or maintained, the programmer will
typically change one file of several which comprise the program. Cook
examines the last-modified times of the files to see when the
prerequisites of a file have changed, implying that the file needs to
be recreated as it is logically out of date.

Cook also provides a facility for implicit recipes, allowing users to
specify how to form a file with a given suffix from a file with a
different suffix. For example, to create filename.o from filename.c

- Cook is a replacement for the traditional make(1) tool. However, it
  is necessary to convert makefiles into cookbooks using the make2cook
  utility included in the distribution.

- Cook has a simple but powerful string-based description language
  with many built-in functions. This allows sophisticated filename
  specification and manipulation without loss of readability or
  performance.

- Cook is able to use fingerprints to supplement file modification
  times. This allows build optimization without contorted rules.

- Cook is able to build your project with multiple parallel threads,
  with support for rules which must be single threaded. It is possible
  to distribute parallel builds over your LAN, allowing you to turn your
  network into a virtual parallel build engine.

If you are putting together a source-code distribution and planning to
write a makefile, consider writing a cookbook instead. Although Cook
takes a day or two to learn, it is much more powerful and a bit more
intuitave than the traditional make(1) tool. And Cook doesn't
interpret tab differently to 8 space characters!

%description -l pl
Cook jest narzdziem do tworzenia plikw. Podaje mu si list plikw do
utworzenia oraz reguy wyjaniajce jak je utworzy. Kady nietrywialny
program wymaga podjcia pewnych dziaa koniecznych do utworzenia
rnych plikw, jak np. plikw nagwkowych. Cook udostpnia mechanizmy
pozwalajcy je zdefiniowa.

Tworzc i rozwijajc program zazwyczaj modyfikuje si pliki, z ktrych
si skada. Cook bada daty ostatniej modyfikacji sprawdzajc, czy
zmieniy si zalenoci; jeli tak, pliki powinny zosta zaktualizowane.

Cook umoliwia rwnie definiowanie niejawnych regu, pozwalajc
uytkownikom wyszczeglni metody tworzenia plikw o podanym
rozszerzeniu z pliku o innym rozszerzeniu (np. jak utworzy
plik.o z plik.c).

- Cook jest zamiennikiem tradycyjnego narzdzia make(1). Jednak przed
uyciem plikw Makefile z cookiem, naley wczeniej przeksztaci
je do formatu rozumianego przez cooka przy uyciu narzdzia make2cook
dostarczanego wraz z dystrybucj.

- Cook posiada prosty lecz potny jzyk opisowy, z wieloma wbudowanymi
  funkcjami, dziki czemu mona podawa i manipulowa skomplikowanymi
  specyfikacjami nazw plikw bez utraty czytelnoci i wydajnoci.

- Oprcz daty ostatniej modyfikacji, cook pozwala korzysta z fingerprintw.
  Dziki temu mona zoptymalizowa proces budowania nie uciekajc si
  do nienaturalnych regu.

- Cook potrafi przeprowadzi proces budowania w wielu rwnolegych
  wtkach, obsugujc prawidowo reguy jednowtkowe. Mona
  przeprowadzi rozproszone budowanie w sieci LAN, przeksztacajc
  lokaln sie w wirtualn maszyn do budowania rwnolegego.

Jeli tworzysz program od zera i planujesz napisa Makefile,
przemyl moliwo wykorzystania zamiast niego pliku cookbook.
Cho na nauk Cooka trzeba powici dzie lub dwa, jest to
narzdzie o wiele potniejsze i znacznie bardziej intuicyjne ni
tradycyjne make(1). Poza tym Cook nie traktuje inaczej TAB-a i
omiu spacji!

%package doc-ps
Summary:	Cook documentation, PostScript format
Summary(pl):	Dokumentacja do cooka w formacie PostScript
Group:		Development/Building

%description doc-ps
Cook documentation in PostScript format.

%description doc-ps -l pl
Dokumentacja do cooka w formacie PostScript.

%prep
%setup -q

%build
%configure \
	NLSDIR=%{_datadir}/locale \
	ac_cv_lib_rx_main=no \
	ac_cv_header_rxposix_h=no
%{__make}

%{?with_tests:%{__make} sure}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/cook/en/LC_MESSAGES,%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_datadir}/{locale,cook/en}}

ln -s $RPM_BUILD_ROOT%{_mandir}/man1 $RPM_BUILD_ROOT%{_datadir}/cook/en/man1

%{__make} install \
	RPM_BUILD_ROOT=$RPM_BUILD_ROOT

install cook.gif $RPM_BUILD_ROOT%{_pixmapsdir}/cook.gif

mv $RPM_BUILD_ROOT%{_libdir}/cook/en $RPM_BUILD_ROOT%{_datadir}/locale/
rm -r $RPM_BUILD_ROOT%{_datadir}/cook/en

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README lib/en/*.txt
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/cook
%{_mandir}/man*/*
%{_pixmapsdir}/cook.gif

%files doc-ps
%defattr(644,root,root,755)
%doc lib/en/*.ps

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cook.spec,v $
Revision 1.16  2004/11/17 22:21:45  qboosh
- force using regex.h even if rxposix.h (rx package) is installed
  it seems that rx is broken on 64-bit archs
- release 3

Revision 1.15  2004/11/14 18:58:23  undefine
- BR: sharutils(uudecode needed)
- release 2

Revision 1.14  2004/09/15 17:17:47  blues
- cosmetics

Revision 1.13  2004/09/15 16:30:35  radek
- move *.mo to /usr/share/locale, remove *.ps from main package

Revision 1.12  2004/09/15 12:04:17  radek
- version 2.25
- s/configure2_13/configure/
- added tests

Revision 1.11  2003/08/18 08:07:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/08/06 16:49:36  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.9  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:46:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/10/30 21:06:27  filon
- fixed typos in pl description and removed fragment of the english one from it
- release 3

Revision 1.6  2002/10/27 16:29:43  djurban
- Updated to 2.21

Revision 1.5  2002/10/10 12:45:44  marcus
- use new %%doc

Revision 1.4  2002/04/26 08:35:05  arturs
added Polish description

Revision 1.3  2002/03/06 12:42:58  filon
- temporary removed polish description
- release 2

Revision 1.2  2002/02/25 12:42:02  qboosh
- removed Group translations

Revision 1.1  2002/02/23 23:03:04  filon
- a great tool
- based on spec for pkg, pldized and improved
- STBR
